package com.yutou.nas.mybatis.model;

import java.util.ArrayList;
import java.util.List;

public class VideoInfoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public VideoInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTitleCnIsNull() {
            addCriterion("title_cn is null");
            return (Criteria) this;
        }

        public Criteria andTitleCnIsNotNull() {
            addCriterion("title_cn is not null");
            return (Criteria) this;
        }

        public Criteria andTitleCnEqualTo(String value) {
            addCriterion("title_cn =", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnNotEqualTo(String value) {
            addCriterion("title_cn <>", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnGreaterThan(String value) {
            addCriterion("title_cn >", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnGreaterThanOrEqualTo(String value) {
            addCriterion("title_cn >=", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnLessThan(String value) {
            addCriterion("title_cn <", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnLessThanOrEqualTo(String value) {
            addCriterion("title_cn <=", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnLike(String value) {
            addCriterion("title_cn like", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnNotLike(String value) {
            addCriterion("title_cn not like", value, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnIn(List<String> values) {
            addCriterion("title_cn in", values, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnNotIn(List<String> values) {
            addCriterion("title_cn not in", values, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnBetween(String value1, String value2) {
            addCriterion("title_cn between", value1, value2, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleCnNotBetween(String value1, String value2) {
            addCriterion("title_cn not between", value1, value2, "titleCn");
            return (Criteria) this;
        }

        public Criteria andTitleJpIsNull() {
            addCriterion("title_jp is null");
            return (Criteria) this;
        }

        public Criteria andTitleJpIsNotNull() {
            addCriterion("title_jp is not null");
            return (Criteria) this;
        }

        public Criteria andTitleJpEqualTo(String value) {
            addCriterion("title_jp =", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpNotEqualTo(String value) {
            addCriterion("title_jp <>", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpGreaterThan(String value) {
            addCriterion("title_jp >", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpGreaterThanOrEqualTo(String value) {
            addCriterion("title_jp >=", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpLessThan(String value) {
            addCriterion("title_jp <", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpLessThanOrEqualTo(String value) {
            addCriterion("title_jp <=", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpLike(String value) {
            addCriterion("title_jp like", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpNotLike(String value) {
            addCriterion("title_jp not like", value, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpIn(List<String> values) {
            addCriterion("title_jp in", values, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpNotIn(List<String> values) {
            addCriterion("title_jp not in", values, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpBetween(String value1, String value2) {
            addCriterion("title_jp between", value1, value2, "titleJp");
            return (Criteria) this;
        }

        public Criteria andTitleJpNotBetween(String value1, String value2) {
            addCriterion("title_jp not between", value1, value2, "titleJp");
            return (Criteria) this;
        }

        public Criteria andAirDataIsNull() {
            addCriterion("air_data is null");
            return (Criteria) this;
        }

        public Criteria andAirDataIsNotNull() {
            addCriterion("air_data is not null");
            return (Criteria) this;
        }

        public Criteria andAirDataEqualTo(String value) {
            addCriterion("air_data =", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataNotEqualTo(String value) {
            addCriterion("air_data <>", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataGreaterThan(String value) {
            addCriterion("air_data >", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataGreaterThanOrEqualTo(String value) {
            addCriterion("air_data >=", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataLessThan(String value) {
            addCriterion("air_data <", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataLessThanOrEqualTo(String value) {
            addCriterion("air_data <=", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataLike(String value) {
            addCriterion("air_data like", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataNotLike(String value) {
            addCriterion("air_data not like", value, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataIn(List<String> values) {
            addCriterion("air_data in", values, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataNotIn(List<String> values) {
            addCriterion("air_data not in", values, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataBetween(String value1, String value2) {
            addCriterion("air_data between", value1, value2, "airData");
            return (Criteria) this;
        }

        public Criteria andAirDataNotBetween(String value1, String value2) {
            addCriterion("air_data not between", value1, value2, "airData");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayIsNull() {
            addCriterion("air_weekday is null");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayIsNotNull() {
            addCriterion("air_weekday is not null");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayEqualTo(String value) {
            addCriterion("air_weekday =", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayNotEqualTo(String value) {
            addCriterion("air_weekday <>", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayGreaterThan(String value) {
            addCriterion("air_weekday >", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayGreaterThanOrEqualTo(String value) {
            addCriterion("air_weekday >=", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayLessThan(String value) {
            addCriterion("air_weekday <", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayLessThanOrEqualTo(String value) {
            addCriterion("air_weekday <=", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayLike(String value) {
            addCriterion("air_weekday like", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayNotLike(String value) {
            addCriterion("air_weekday not like", value, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayIn(List<String> values) {
            addCriterion("air_weekday in", values, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayNotIn(List<String> values) {
            addCriterion("air_weekday not in", values, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayBetween(String value1, String value2) {
            addCriterion("air_weekday between", value1, value2, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andAirWeekdayNotBetween(String value1, String value2) {
            addCriterion("air_weekday not between", value1, value2, "airWeekday");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlIsNull() {
            addCriterion("bangumi_url is null");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlIsNotNull() {
            addCriterion("bangumi_url is not null");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlEqualTo(String value) {
            addCriterion("bangumi_url =", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlNotEqualTo(String value) {
            addCriterion("bangumi_url <>", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlGreaterThan(String value) {
            addCriterion("bangumi_url >", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlGreaterThanOrEqualTo(String value) {
            addCriterion("bangumi_url >=", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlLessThan(String value) {
            addCriterion("bangumi_url <", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlLessThanOrEqualTo(String value) {
            addCriterion("bangumi_url <=", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlLike(String value) {
            addCriterion("bangumi_url like", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlNotLike(String value) {
            addCriterion("bangumi_url not like", value, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlIn(List<String> values) {
            addCriterion("bangumi_url in", values, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlNotIn(List<String> values) {
            addCriterion("bangumi_url not in", values, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlBetween(String value1, String value2) {
            addCriterion("bangumi_url between", value1, value2, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiUrlNotBetween(String value1, String value2) {
            addCriterion("bangumi_url not between", value1, value2, "bangumiUrl");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingIsNull() {
            addCriterion("bangumi_rating is null");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingIsNotNull() {
            addCriterion("bangumi_rating is not null");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingEqualTo(Double value) {
            addCriterion("bangumi_rating =", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingNotEqualTo(Double value) {
            addCriterion("bangumi_rating <>", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingGreaterThan(Double value) {
            addCriterion("bangumi_rating >", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingGreaterThanOrEqualTo(Double value) {
            addCriterion("bangumi_rating >=", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingLessThan(Double value) {
            addCriterion("bangumi_rating <", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingLessThanOrEqualTo(Double value) {
            addCriterion("bangumi_rating <=", value, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingIn(List<Double> values) {
            addCriterion("bangumi_rating in", values, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingNotIn(List<Double> values) {
            addCriterion("bangumi_rating not in", values, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingBetween(Double value1, Double value2) {
            addCriterion("bangumi_rating between", value1, value2, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andBangumiRatingNotBetween(Double value1, Double value2) {
            addCriterion("bangumi_rating not between", value1, value2, "bangumiRating");
            return (Criteria) this;
        }

        public Criteria andEpsCountIsNull() {
            addCriterion("eps_count is null");
            return (Criteria) this;
        }

        public Criteria andEpsCountIsNotNull() {
            addCriterion("eps_count is not null");
            return (Criteria) this;
        }

        public Criteria andEpsCountEqualTo(String value) {
            addCriterion("eps_count =", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountNotEqualTo(String value) {
            addCriterion("eps_count <>", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountGreaterThan(String value) {
            addCriterion("eps_count >", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountGreaterThanOrEqualTo(String value) {
            addCriterion("eps_count >=", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountLessThan(String value) {
            addCriterion("eps_count <", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountLessThanOrEqualTo(String value) {
            addCriterion("eps_count <=", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountLike(String value) {
            addCriterion("eps_count like", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountNotLike(String value) {
            addCriterion("eps_count not like", value, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountIn(List<String> values) {
            addCriterion("eps_count in", values, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountNotIn(List<String> values) {
            addCriterion("eps_count not in", values, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountBetween(String value1, String value2) {
            addCriterion("eps_count between", value1, value2, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsCountNotBetween(String value1, String value2) {
            addCriterion("eps_count not between", value1, value2, "epsCount");
            return (Criteria) this;
        }

        public Criteria andEpsNowIsNull() {
            addCriterion("eps_now is null");
            return (Criteria) this;
        }

        public Criteria andEpsNowIsNotNull() {
            addCriterion("eps_now is not null");
            return (Criteria) this;
        }

        public Criteria andEpsNowEqualTo(String value) {
            addCriterion("eps_now =", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowNotEqualTo(String value) {
            addCriterion("eps_now <>", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowGreaterThan(String value) {
            addCriterion("eps_now >", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowGreaterThanOrEqualTo(String value) {
            addCriterion("eps_now >=", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowLessThan(String value) {
            addCriterion("eps_now <", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowLessThanOrEqualTo(String value) {
            addCriterion("eps_now <=", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowLike(String value) {
            addCriterion("eps_now like", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowNotLike(String value) {
            addCriterion("eps_now not like", value, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowIn(List<String> values) {
            addCriterion("eps_now in", values, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowNotIn(List<String> values) {
            addCriterion("eps_now not in", values, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowBetween(String value1, String value2) {
            addCriterion("eps_now between", value1, value2, "epsNow");
            return (Criteria) this;
        }

        public Criteria andEpsNowNotBetween(String value1, String value2) {
            addCriterion("eps_now not between", value1, value2, "epsNow");
            return (Criteria) this;
        }

        public Criteria andCrtsIsNull() {
            addCriterion("crts is null");
            return (Criteria) this;
        }

        public Criteria andCrtsIsNotNull() {
            addCriterion("crts is not null");
            return (Criteria) this;
        }

        public Criteria andCrtsEqualTo(String value) {
            addCriterion("crts =", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsNotEqualTo(String value) {
            addCriterion("crts <>", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsGreaterThan(String value) {
            addCriterion("crts >", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsGreaterThanOrEqualTo(String value) {
            addCriterion("crts >=", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsLessThan(String value) {
            addCriterion("crts <", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsLessThanOrEqualTo(String value) {
            addCriterion("crts <=", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsLike(String value) {
            addCriterion("crts like", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsNotLike(String value) {
            addCriterion("crts not like", value, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsIn(List<String> values) {
            addCriterion("crts in", values, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsNotIn(List<String> values) {
            addCriterion("crts not in", values, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsBetween(String value1, String value2) {
            addCriterion("crts between", value1, value2, "crts");
            return (Criteria) this;
        }

        public Criteria andCrtsNotBetween(String value1, String value2) {
            addCriterion("crts not between", value1, value2, "crts");
            return (Criteria) this;
        }

        public Criteria andStaffsIsNull() {
            addCriterion("staffs is null");
            return (Criteria) this;
        }

        public Criteria andStaffsIsNotNull() {
            addCriterion("staffs is not null");
            return (Criteria) this;
        }

        public Criteria andStaffsEqualTo(String value) {
            addCriterion("staffs =", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsNotEqualTo(String value) {
            addCriterion("staffs <>", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsGreaterThan(String value) {
            addCriterion("staffs >", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsGreaterThanOrEqualTo(String value) {
            addCriterion("staffs >=", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsLessThan(String value) {
            addCriterion("staffs <", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsLessThanOrEqualTo(String value) {
            addCriterion("staffs <=", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsLike(String value) {
            addCriterion("staffs like", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsNotLike(String value) {
            addCriterion("staffs not like", value, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsIn(List<String> values) {
            addCriterion("staffs in", values, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsNotIn(List<String> values) {
            addCriterion("staffs not in", values, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsBetween(String value1, String value2) {
            addCriterion("staffs between", value1, value2, "staffs");
            return (Criteria) this;
        }

        public Criteria andStaffsNotBetween(String value1, String value2) {
            addCriterion("staffs not between", value1, value2, "staffs");
            return (Criteria) this;
        }

        public Criteria andImageIsNull() {
            addCriterion("image is null");
            return (Criteria) this;
        }

        public Criteria andImageIsNotNull() {
            addCriterion("image is not null");
            return (Criteria) this;
        }

        public Criteria andImageEqualTo(String value) {
            addCriterion("image =", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageNotEqualTo(String value) {
            addCriterion("image <>", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageGreaterThan(String value) {
            addCriterion("image >", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageGreaterThanOrEqualTo(String value) {
            addCriterion("image >=", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageLessThan(String value) {
            addCriterion("image <", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageLessThanOrEqualTo(String value) {
            addCriterion("image <=", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageLike(String value) {
            addCriterion("image like", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageNotLike(String value) {
            addCriterion("image not like", value, "image");
            return (Criteria) this;
        }

        public Criteria andImageIn(List<String> values) {
            addCriterion("image in", values, "image");
            return (Criteria) this;
        }

        public Criteria andImageNotIn(List<String> values) {
            addCriterion("image not in", values, "image");
            return (Criteria) this;
        }

        public Criteria andImageBetween(String value1, String value2) {
            addCriterion("image between", value1, value2, "image");
            return (Criteria) this;
        }

        public Criteria andImageNotBetween(String value1, String value2) {
            addCriterion("image not between", value1, value2, "image");
            return (Criteria) this;
        }

        public Criteria andInfoIsNull() {
            addCriterion("info is null");
            return (Criteria) this;
        }

        public Criteria andInfoIsNotNull() {
            addCriterion("info is not null");
            return (Criteria) this;
        }

        public Criteria andInfoEqualTo(String value) {
            addCriterion("info =", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoNotEqualTo(String value) {
            addCriterion("info <>", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoGreaterThan(String value) {
            addCriterion("info >", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoGreaterThanOrEqualTo(String value) {
            addCriterion("info >=", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoLessThan(String value) {
            addCriterion("info <", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoLessThanOrEqualTo(String value) {
            addCriterion("info <=", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoLike(String value) {
            addCriterion("info like", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoNotLike(String value) {
            addCriterion("info not like", value, "info");
            return (Criteria) this;
        }

        public Criteria andInfoIn(List<String> values) {
            addCriterion("info in", values, "info");
            return (Criteria) this;
        }

        public Criteria andInfoNotIn(List<String> values) {
            addCriterion("info not in", values, "info");
            return (Criteria) this;
        }

        public Criteria andInfoBetween(String value1, String value2) {
            addCriterion("info between", value1, value2, "info");
            return (Criteria) this;
        }

        public Criteria andInfoNotBetween(String value1, String value2) {
            addCriterion("info not between", value1, value2, "info");
            return (Criteria) this;
        }

        public Criteria andPathIsNull() {
            addCriterion("`path` is null");
            return (Criteria) this;
        }

        public Criteria andPathIsNotNull() {
            addCriterion("`path` is not null");
            return (Criteria) this;
        }

        public Criteria andPathEqualTo(String value) {
            addCriterion("`path` =", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotEqualTo(String value) {
            addCriterion("`path` <>", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThan(String value) {
            addCriterion("`path` >", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThanOrEqualTo(String value) {
            addCriterion("`path` >=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThan(String value) {
            addCriterion("`path` <", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThanOrEqualTo(String value) {
            addCriterion("`path` <=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLike(String value) {
            addCriterion("`path` like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotLike(String value) {
            addCriterion("`path` not like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathIn(List<String> values) {
            addCriterion("`path` in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotIn(List<String> values) {
            addCriterion("`path` not in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathBetween(String value1, String value2) {
            addCriterion("`path` between", value1, value2, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotBetween(String value1, String value2) {
            addCriterion("`path` not between", value1, value2, "path");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}